Skip to main content
GET
/
api
/
v1
/
projects
/
{projectUuid}
/
pull-requests
Error
A valid request URL is required to generate request examples
{
  "results": {
    "data": [
      {
        "createdAt": "2023-11-07T05:31:56Z",
        "aiAgentUuid": "<string>",
        "aiThreadUuid": "<string>",
        "prUrl": "<string>",
        "prNumber": 123,
        "repo": "<string>",
        "owner": "<string>",
        "createdByUserUuid": "<string>",
        "projectUuid": "<string>",
        "organizationUuid": "<string>",
        "pullRequestUuid": "<string>",
        "title": "<string>"
      }
    ],
    "pagination": {
      "page": 123,
      "pageSize": 123,
      "totalResults": 123,
      "totalPageCount": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lightdash.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

projectUuid
string
required

Query Parameters

page
number<double>
pageSize
number<double>

Response

Success

results
object
required
status
enum<string>
required
Available options:
ok